This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 986525 - [abrt] diffuse-0.4.7-2.fc20: diffuse:5531:im_retrieve_surrounding_cb:TypeError: len() takes exactly one argument (2 given)
[abrt] diffuse-0.4.7-2.fc20: diffuse:5531:im_retrieve_surrounding_cb:TypeErro...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: diffuse (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jon Levell
Fedora Extras Quality Assurance
abrt_hash:fe22c6c33795b53102a45755bcf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 04:22 EDT by Christopher Meng
Modified: 2014-05-17 06:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-17 06:20:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (563 bytes, text/plain)
2013-07-20 04:22 EDT, Christopher Meng
no flags Details
File: environ (1.72 KB, text/plain)
2013-07-20 04:22 EDT, Christopher Meng
no flags Details

  None (edit)
Description Christopher Meng 2013-07-20 04:22:18 EDT
Version-Release number of selected component:
diffuse-0.4.7-2.fc20

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/diffuse -s /home/rpmaker/.cache/.fr-VX2fpA/libxls/include/libxls/brdb.c.h
core_backtrace: 3716d159aca12edfce07d67edf553d08499b27fe 0x159b im_retrieve_surrounding_cb /usr/bin/diffuse -
executable:     /usr/bin/diffuse
kernel:         3.11.0-0.rc1.git1.2.fc20.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
diffuse:5531:im_retrieve_surrounding_cb:TypeError: len() takes exactly one argument (2 given)

Traceback (most recent call last):
  File "/usr/bin/diffuse", line 5531, in im_retrieve_surrounding_cb
    s, n = codecs.encode(s, 'utf_8'), len(codecs.encode(s[:self.current_char]), 'utf_8')
TypeError: len() takes exactly one argument (2 given)

Local variables in innermost frame:
s: u' * for parsing Excel(TM) files.\n'
im: <gtk.IMMulticontext object at 0x8cdb4b4 (GtkIMMulticontext at 0x8d83320)>
self: <FileDiffViewer object at 0x8c82d24 (GtkTable at 0x8a3b990)>
Comment 1 Christopher Meng 2013-07-20 04:22:22 EDT
Created attachment 776116 [details]
File: backtrace
Comment 2 Christopher Meng 2013-07-20 04:22:25 EDT
Created attachment 776117 [details]
File: environ
Comment 3 Fedora End Of Life 2013-09-16 10:40:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Note You need to log in before you can comment on or make changes to this bug.